{ lib, ... }:
with lib;
{
  options.machine.redis = {
    enable = mkEnableOption "Redis";
    port = mkOption {
      type = types.port;
      default = 6379;
      description = "Port to listen on.";
    };
  };
}
